// 选项卡js start
const tabBoxList = document.querySelectorAll('.tab-box')
for (var i = 0; i < tabBoxList.length; i++) {
    const defaultTab = tabBoxList[i].getAttribute('defaultTab')
    const tabList = tabBoxList[i].querySelector('.tab-title-box').getElementsByClassName('tab-title-item')
    tabList[defaultTab].className = 'tab-title-item tab-title-current'
    const containerList = tabBoxList[i].querySelector('.tab-container-box').getElementsByClassName('tab-container-item')
    containerList[defaultTab].style = 'display:block'

    for (var i = 0; i < tabList.length; i++) {
        tabList[i].setAttribute('index', i)
        tabList[i].onclick = function () {
            for (var j = 0; j < tabList.length; j++) {
                tabList[j].className = 'tab-title-item'
                containerList[j].style = 'display:none'
            }
            this.className = 'tab-title-item tab-title-current'
            containerList[this.getAttribute('index')].style = 'display:block'
        }
    }

}

// 选项卡js end


//折叠控件
const collapseBoxList = document.querySelectorAll('.collapse')
for (var i = 0; i < collapseBoxList.length; i++) {
    const collapseList = collapseBoxList[i].querySelector('.collapse-container').getElementsByClassName('form-item')
    let isCheck = false
    const collapseBtn = collapseBoxList[i].querySelector('.collapse-title-box').querySelector('.collapse-label')
    collapseBtn.onclick = function () {
        isCheck = !isCheck
        if (isCheck) {
            for (var i = 0; i < collapseList.length; i++) {
                collapseList[i].style = 'display:flex'
            }
        } else {
            console.log(222,isCheck);
            for (var i = 0; i < collapseList.length; i++) {
                collapseList[i].style = 'display:none'
            }
            collapseList[0].style = 'display:flex'
        }
    }
}

// 高级版明细表边框和主表边框合并逻辑
;(function() {
    const excelDetailTables = document.querySelectorAll('.detail-table-content');
    for(let i = 0; i < excelDetailTables.length; i++) {
        const parentElementStyle = window.getComputedStyle(excelDetailTables[i].parentElement);
        const trs= excelDetailTables[i].querySelectorAll('.detail-table-content-table > tbody > tr');

        const hasBorderTop = parentElementStyle.borderTop;
        const hasBorderBottom = parentElementStyle.borderBottom;
        const hasBorderLeft = parentElementStyle.borderLeft;
        const hasBorderRight = parentElementStyle.borderRight;

        if(hasBorderTop && trs[0] && trs[0].children) {
            const firstRowTds = trs[0].children;
            for(let i = 0; i < firstRowTds.length; i++) {
                firstRowTds[i].style.borderTop = 'none';
            }
        };

        if(hasBorderBottom && trs[trs.length - 1] && trs[trs.length - 1].children) {
            const lastRowTds = trs[trs.length - 1].children;
            for(let i = 0; i < lastRowTds.length; i++) {
                lastRowTds[i].style.borderBottom = 'none';
            }
        };

        if(hasBorderLeft || hasBorderRight) {
            for(let i = 0; i < trs.length; i++) {
                hasBorderLeft && trs[i].children && (trs[i].children[0].style.borderLeft = 'none');
                hasBorderRight && trs[i].children && (trs[i].children[trs[i].children.length - 1].style.borderRight = 'none');
            }
        };
    }
})();